software-center crashed with UnicodeDecodeError in __str__(): 'ascii' codec can't decode byte 0xc3 in position 29: ordinal not in range(128)

Bug #1044141 reported by Marcelo Messias on 2012-08-31
186
This bug affects 42 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
High
Unassigned

Bug Description

install google chrome

ProblemType: RecoverableProblem
DistroRelease: Ubuntu 12.10
Package: software-center 5.3.10
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic x86_64
ApportVersion: 2.5.1-0ubuntu4
Architecture: amd64
Date: Thu Aug 30 21:30:21 2012
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center /home/username/Downloads/google-chrome-stable_current_amd64.deb
ProcEnviron:
 LANGUAGE=pt_BR:pt:en
 PATH=(custom, no user)
 LANG=pt_BR.UTF-8
 SHELL=/bin/bash
SourcePackage: software-center
Title: software-center crashed with UnicodeDecodeError in __str__(): 'ascii' codec can't decode byte 0xc3 in position 29: ordinal not in range(128)
UpgradeStatus: Upgraded to quantal on 2012-08-12 (18 days ago)
UserGroups: adm lpadmin sambashare sudo

Related branches

Marcelo Messias (marcelomes) wrote :
tags: removed: need-duplicate-check
Changed in software-center (Ubuntu):
importance: Undecided → Medium
Michael Vogt (mvo) wrote :

From the log:
"""
- ERROR - error in _on_trans_finished 'Erro: O pacote é de má qualidade
A instalação de um pacote que viola as normas de qualidade não é permitido. Isso pode causar sérios problemas no seu computador. Entre em contato com a pessoa ou organização que forneceu este arquivo e inclua os detalhes abaixo.

Lintian check results for /home/messias/Downloads/google-chrome-stable_current_amd64.deb:
'
"""
It appears there is a issue with sending utf8 strings to the software-center over dbus.

visibility: private → public
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in software-center (Ubuntu):
status: New → Confirmed
Paulo Narciso (p-narciso) wrote :
Download full text (7.2 KiB)

paulo@Sandybridge:/media/paulo/Downloads/Linux$ software-center Osmos_1.6.1.deb
2012-09-19 15:14:28,624 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2012-09-19 15:14:28,628 - softwarecenter.db.database - INFO - open() database: path=None use_axi=True use_agent=True

(software-center:8554): Gtk-WARNING **: Theme parsing error: softwarecenter.css:34:20: Not using units is deprecated. Assuming 'px'.

(software-center:8554): Gtk-WARNING **: Theme parsing error: softwarecenter.css:34:22: Not using units is deprecated. Assuming 'px'.

(software-center:8554): Gtk-WARNING **: Theme parsing error: softwarecenter.css:56:20: Not using units is deprecated. Assuming 'px'.

(software-center:8554): Gtk-WARNING **: Theme parsing error: softwarecenter.css:56:22: Not using units is deprecated. Assuming 'px'.

(software-center:8554): Gtk-WARNING **: Theme parsing error: softwarecenter.css:60:20: Not using units is deprecated. Assuming 'px'.

(software-center:8554): Gtk-WARNING **: Theme parsing error: softwarecenter.css:60:22: Not using units is deprecated. Assuming 'px'.
2012-09-19 15:14:28,652 - softwarecenter.region - WARNING - failed to use geoclue: 'org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Geoclue.Master was not provided by any .service files'
2012-09-19 15:14:28,773 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2012-09-19 15:14:28,781 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/gi/importer.py', 51, 'find_module')'
2012-09-19 15:14:28,781 - root - ERROR - Could not find any typelib for LaunchpadIntegration
2012-09-19 15:14:28,810 - softwarecenter.ui.gtk3.app - INFO - show_available_packages: search_text is '', app is [Application: appname= pkgname=osmos].
2012-09-19 15:14:28,811 - softwarecenter.db.pkginfo_impl.aptcache - INFO - aptcache.open()
2012-09-19 15:14:29,996 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/gi/importer.py', 51, 'find_module')'
2012-09-19 15:14:29,996 - root - ERROR - Could not find any typelib for Gst
2012-09-19 15:14:31,124 - softwarecenter.db.pkginfo_impl.aptcache - ERROR - simulate failed
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/aptdaemon/client.py", line 1595, in on_error
    error.raise_exception()
  File "/usr/lib/python2.7/dist-packages/defer/__init__.py", line 487, in _inline_callbacks
    result.traceback)
  File "/usr/lib/python2.7/dist-packages/aptdaemon/client.py", line 1630, in _run_transaction_helper
    tid = yield deferred
DBusException: org.debian.apt: Osmos isn't a valid package name
2012-09-19 15:14:31,664 - softwarecenter.backend.spawn_helper - WARNING - exit code 1 from helper for '['/usr/share/software-center/piston_get_reviews_helper.py', '--language', 'pt', '--origin', 'any', '--distroseries', 'any', '--pkgname', 'Osmos', '--page', '1', '--sort', 'helpful']'
2012-09-19 15:14:31,665 - softwarecenter.backend.spawn_helper - WARNING - got error from helper: 'ERROR:__main__:get_reviews
Traceback (most recent call last):
  File "/usr/share/software-center/piston_get_reviews_h...

Read more...

Cresus (cresus) wrote :

When I tried to install .deb by double-clicking on files, it opens the software center. I can enter my password to install, but just after it force closes.

dhyll (wmastercorp) on 2012-09-20
no longer affects: software-center
Antec (info-janmob) wrote :

software-center crashes in the same way for me on 32-bit on Linux Kernel 3.5.0-15-generic

pham xuan chin (phamchin-hut) wrote :

when i install file.deb (ubuntu-tweak_0.7.3-1~precise1_all.deb) right click and open with ubuntu-software center

Vasilis Toumpakaris (toumbo) wrote :

Fortunately I can install debs via GDebi.

tags: added: ca-escalated
Dave Morley (davmor2) on 2012-10-02
Changed in software-center (Ubuntu):
importance: Medium → Critical
Michael Vogt (mvo) wrote :

To reproduce:
$ LANGUAGE=pt_BR:pt:en software-center /tmp/google-chrome-stable_current_amd64.deb
and look at /var/crash/ after the password prompt.

Changed in software-center (Ubuntu):
status: Confirmed → Triaged
importance: Critical → High
Michael Vogt (mvo) on 2012-10-02
Changed in software-center (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Michael Vogt (mvo)
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.4

---------------
software-center (5.4) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/lp1044141:
    - fix unicode error crash on a transaction error
      (LP: #1044141)
  * lp:~mvo/software-center/fix-size-calc-race:
    - fix crash due to a race in the size calculation code
      in the details view (LP: #1041004)
  * lp:~mvo/software-center/fix-crash-1048886:
    - No longer call GLib.init_threads() as this will cause
      LP: #1048886 later. Many thanks to Albert Astals Cid
  * lp:~mvo/software-center/dbus-idle-timeout:
    - stop the dbus data provider after 5min of inactivity
      (LP: #1058567)
  * lp:~mvo/software-center/lp1051829:
    - Do not report deb packages with lintian errors via the
      recoverable errors mechanism. This removes 97 out of 104
      instances of my sample of the recoverable error report
      for LP: #1051829. Other types of failures will still be
      reported as recoverable failures though (as we do want
      to know about them).

  [ Gary Lakser ]
  * lp:~gary-lasker/software-center/lp1041004:
    - ensure that app_details is valid before using it (LP: #1041004)
  * lp:~gary-lasker/software-center/fix-crash-lp1021308:
    - send synthetic "style-updated" signals to ensure that the signal
      handlers are called on themes that do not send this signal (like
      oxygen-gtk3). This fixes a crash and broken drawing LP: #1021308

  [ Nicolas Delvaux ]
  * lp:~malizor/software-center/fix-lp1050036:
    - fix crash in get_label() (LP: #1050036) and drop the i18n for the
      yes/no symbols that were not translated in any language (as a result
      test_regression_lp1047281.py can also be dropped)
 -- Michael Vogt <email address hidden> Fri, 05 Oct 2012 10:58:20 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
Lijun Zhou (joeinbir) on 2012-10-09
Changed in software-center (Ubuntu):
assignee: Michael Vogt (mvo) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers